using NJ_ZC;
using OpcBasic;
using System;
using System.Collections;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Data;
using System.Diagnostics;
using System.IO;
using System.Threading;
using System.Windows.Forms;
using SystemFramework;
using static System.Configuration.ConfigurationManager;

namespace MesWork
{
    public partial class Temp { }
    /// <summary>
    /// 
    /// </summary>
    public partial class MesWorkForm
    {

        public void DisConnect()
        {
            try
            {
                foreach (var robot in new Dictionary<string,object>(dc_Robot))
                {
                    var key = robot.Key;
                    var robotObj = robot.Value;
                    var type = key.Split('|')[0];
                    var robotCode = key.Split('|')[1];
                    switch (type)
                    {
                        case "FANUC":
                            ((B_Robot_Fanuc)robotObj).DisConn();
                            break;
                        case "KUKA":
                            ((B_Robot_Kuka)robotObj).DisConn();
                            break;
                        default:
                            break;
                    }
                }
            }
            catch (Exception err){}

        }


    }
} 
